diff -ruN fortune-mod-3.20.0-orig/CMakeLists.txt fortune-mod-3.20.0/CMakeLists.txt
--- fortune-mod-3.20.0-orig/CMakeLists.txt	2023-06-03 08:33:43.000000000 -0500
+++ fortune-mod-3.20.0/CMakeLists.txt	2024-04-14 06:29:14.000000000 -0500
@@ -173,7 +173,7 @@
 my_exe(
     "fortune"
     "fortune/fortune.c"
-    "games"
+    "bin"
 )
 
 my_exe(
@@ -378,7 +378,7 @@
 string (REPLACE ";" " " COOKIES_STR "${COOKIES}")
 ADD_CUSTOM_TARGET(
     "check"
-    "perl" "${CMAKE_SOURCE_DIR}/run-tests.pl" "--src-dir" "${CMAKE_SOURCE_DIR}" "--cookies" "${COOKIES_STR}"
+    "@FINK_PREFIX@/bin/perl5.28.2" "${CMAKE_SOURCE_DIR}/run-tests.pl" "--src-dir" "${CMAKE_SOURCE_DIR}" "--cookies" "${COOKIES_STR}"
 )
 
 # Rebuild config.h if ver.txt has changed.
diff -ruN fortune-mod-3.20.0-orig/Notes fortune-mod-3.20.0/Notes
--- fortune-mod-3.20.0-orig/Notes	2020-05-01 05:06:39.000000000 -0500
+++ fortune-mod-3.20.0/Notes	2024-04-14 06:30:22.000000000 -0500
@@ -16,7 +16,7 @@
 
 ==> GENERAL INFORMATION
 	By default, fortune retrieves its fortune files from the directory
-/usr/local/share/games/fortune.  A fortune file has two parts: the source file
+@FINK_PREFIX@/share/fortunes.  A fortune file has two parts: the source file
 (which contains the fortunes themselves) and the data file which describes
 the fortunes.  The data file always has the same name as the fortune file
 with the string ".dat" concatenated, e.g. if "fort" is a standard fortune
@@ -25,7 +25,7 @@
 	Fortunes are split into potentially offensive and not potentially
 offensive parts.  The offensive version of a file has the same name as the
 non-offensive version but exists in the offensive fortunes directory
-(/usr/local/share/games/fortune/off by default).  The fortune program
+(@FINK_PREFIX@/share/fortunes/off by default).  The fortune program
 automatically assumes that any file in the offensive fortune directory
 is potentially offensive, and should therefore only be displayed if
 explicitly requested, either with the -o option, by specifying a file name
diff -ruN fortune-mod-3.20.0-orig/tests/fortune-m-test.py fortune-mod-3.20.0/tests/fortune-m-test.py
--- fortune-mod-3.20.0-orig/tests/fortune-m-test.py	2020-01-19 11:55:00.000000000 -0600
+++ fortune-mod-3.20.0/tests/fortune-m-test.py	2024-04-14 06:30:41.000000000 -0500
@@ -6,7 +6,7 @@
 from os.path import join
 inst_dir = join(os.getcwd(), "fortune-m-INST_DIR")
 
-exe = glob.glob(join(inst_dir, "games", "fortune")+'*')[0]
+exe = glob.glob(join(inst_dir, "bin", "fortune")+'*')[0]
 # subprocess.call(["objdump", "-p", exe])
 rc = subprocess.call(
     [exe, "-m", "giants"],
diff -ruN fortune-mod-3.20.0-orig/tests/t/lib/FortTestInst.pm fortune-mod-3.20.0/tests/t/lib/FortTestInst.pm
--- fortune-mod-3.20.0-orig/tests/t/lib/FortTestInst.pm	2021-12-11 04:03:06.000000000 -0600
+++ fortune-mod-3.20.0/tests/t/lib/FortTestInst.pm	2024-04-14 06:31:20.000000000 -0500
@@ -46,6 +46,7 @@
                     ? "-DCMAKE_MAKE_PROGRAM=$ENV{CMAKE_MAKE_PROGRAM}"
                     : ()
                 ),
+                "-DCMAKE_C_FLAGS=-I@FINK_PREFIX@/include",
                 "-DCMAKE_INSTALL_PREFIX=$inst_dir",
                 "-DLOCALDIR=$inst_dir/share/games/fortunes",
                 ( $IS_WIN ? ("-DCMAKE_BUILD_TYPE=Debug") : () ),
diff -ruN fortune-mod-3.20.0-orig/tests/t/test-fortune-m.t fortune-mod-3.20.0/tests/t/test-fortune-m.t
--- fortune-mod-3.20.0-orig/tests/t/test-fortune-m.t	2021-12-12 00:06:36.000000000 -0600
+++ fortune-mod-3.20.0/tests/t/test-fortune-m.t	2024-04-14 06:31:39.000000000 -0500
@@ -11,7 +11,7 @@
 
 {
     my $inst_dir = FortTestInst::install("fortune-m--giants");
-    my @cmd      = ( $inst_dir->child( 'games', 'fortune' ), '-m', 'giants' );
+    my @cmd      = ( $inst_dir->child( 'bin', 'fortune' ), '-m', 'giants' );
 
     print "Running [@cmd]\n";
     my $text = `@cmd`;
diff -ruN fortune-mod-3.20.0-orig/tests/t/test-fortune-o-rot.t fortune-mod-3.20.0/tests/t/test-fortune-o-rot.t
--- fortune-mod-3.20.0-orig/tests/t/test-fortune-o-rot.t	2020-02-26 08:04:00.000000000 -0600
+++ fortune-mod-3.20.0/tests/t/test-fortune-o-rot.t	2024-04-14 06:31:54.000000000 -0500
@@ -24,7 +24,7 @@
 {
     my $inst_dir = FortTestInst::install("fortune-o-rot");
     local $ENV{FORTUNE_MOD_RAND_HARD_CODED_VALS} = 240;
-    my $inst_bin = $inst_dir->child( "games", "fortune" );
+    my $inst_bin = $inst_dir->child( "bin", "fortune" );
     my $text     = `$inst_bin -o`;
 
     # TEST
